package jsonrpc

type ServerErrorCode int

const (
	ServerErrorCodeParse          ServerErrorCode = -32700
	ServerErrorCodeInvalidRequest ServerErrorCode = -32600
	ServerErrorCodeNotFoundMethod ServerErrorCode = -32601
	ServerErrorCodeInvalidParams  ServerErrorCode = -32602
	ServerErrorCodeInternal       ServerErrorCode = -32603
	// -32000 ~ -32099
	ServerErrorCodeServer ServerErrorCode = -32000
)

type ServerError struct {
	Code    ServerErrorCode `json:"code"`
	Message interface{}     `json:"message"`
	Data    interface{}     `json:"data"`
}
